Package com.google.protobuf

# Interface DescriptorProtos.SourceCodeInfo.LocationOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.SourceCodeInfo.Location`, `DescriptorProtos.SourceCodeInfo.Location.Builder`

Enclosing class:
  DescriptorProtos.SourceCodeInfo

public static interface DescriptorProtos.SourceCodeInfo.LocationOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`ByteString`
`getLeadingCommentsBytes()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`String`
`getLeadingDetachedComments(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`ByteString`
`getLeadingDetachedCommentsBytes(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`int`
`getLeadingDetachedCommentsCount()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`List<String>`
`getLeadingDetachedCommentsList()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`int`
`getPath(int index)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getPathCount()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`List<Integer>`
`getPathList()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getSpan(int index)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`int`
`getSpanCount()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`List<Integer>`
`getSpanList()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`String`
`getTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`ByteString`
`getTrailingCommentsBytes()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`boolean`
`hasLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`boolean`
`hasTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPathList

List<Integer> getPathList()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  A list containing the path.

### getPathCount

int getPathCount()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  The count of path.

### getPath

int getPath(int index)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The path at the given index.

### getSpanList

List<Integer> getSpanList()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Returns:
  A list containing the span.

### getSpanCount

int getSpanCount()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Returns:
  The count of span.

### getSpan

int getSpan(int index)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The span at the given index.

### hasLeadingComments

boolean hasLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Returns:
  Whether the leadingComments field is set.

### getLeadingComments

String getLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Returns:
  The leadingComments.

### getLeadingCommentsBytes

ByteString getLeadingCommentsBytes()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Returns:
  The bytes for leadingComments.

### hasTrailingComments

boolean hasTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Returns:
  Whether the trailingComments field is set.

### getTrailingComments

String getTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Returns:
  The trailingComments.

### getTrailingCommentsBytes

ByteString getTrailingCommentsBytes()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Returns:
  The bytes for trailingComments.

### getLeadingDetachedCommentsList

List<String> getLeadingDetachedCommentsList()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Returns:
  A list containing the leadingDetachedComments.

### getLeadingDetachedCommentsCount

int getLeadingDetachedCommentsCount()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Returns:
  The count of leadingDetachedComments.

### getLeadingDetachedComments

String getLeadingDetachedComments(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The leadingDetachedComments at the given index.

### getLeadingDetachedCommentsBytes

ByteString getLeadingDetachedCommentsBytes(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the leadingDetachedComments at the given index.